1. 05 Sep, 2022 2 commits
  2. 31 Aug, 2022 1 commit
    • Moisés López - https://www.vauxoo.com/'s avatar
      [REF] common: Install tcl to be compatible with expect-dev · 23789108
      Running the following script:
      
          for VERSION in 150 140 130 120
          do
              echo -e "\nRunning in $VERSION without tcl"
              docker run -it --rm vauxoo/odoo-${VERSION}-image /bin/bash -c "apt update -qq && apt -yq install expect-dev > /dev/null && unbuffer ls --color=auto";
              echo -e "Ran in $VERSION without tcl\n"
              echo -e "\nRunning in $VERSION with tcl"
              docker run -it --rm vauxoo/odoo-${VERSION}-image /bin/bash -c "apt update -qq && apt -yq install expect-dev tcl8.6 > /dev/null && unbuffer ls --color=auto";
              echo -e "Ran in $VERSION with tcl\n"
          done
      
      You will see the following output:
      
          Running in 150 without tcl
          bin  boot  dev  etc  home  lib  lib32  lib64  libx32  media  mnt  opt  proc  root  run  sbin  srv  sys  tmp  usr  var
          Ran in 150 without tcl
      
          Running in 150 with tcl
          bin  boot  dev  etc  home  lib  lib32  lib64  libx32  media  mnt  opt  proc  root  run  sbin  srv  sys  tmp  usr  var
          Ran in 150 with tcl
      
          Running in 140 without tcl
          bin  boot  dev  etc  home  lib  lib32  lib64  libx32  media  mnt  opt  proc  root  run  sbin  srv  sys  tmp  usr  var
          Ran in 140 without tcl
      
          Running in 140 with tcl
          bin  boot  dev  etc  home  lib  lib32  lib64  libx32  media  mnt  opt  proc  root  run  sbin  srv  sys  tmp  usr  var
          Ran in 140 with tcl
      
          Running in 130 without tcl
          9 /usr/bin/unbuffer: 4: exec: tclsh8.6: not found
          Ran in 130 without tcl
      
          Running in 130 with tcl
          9 bin  boot  dev  etc  home  lib  lib64  media  mnt  opt  proc  root  run  sbin  srv  sys  tmp  usr  var
          Ran in 130 with tcl
      
          Running in 120 without tcl
          140 /usr/bin/unbuffer: 4: exec: tclsh8.6: not found
          Ran in 120 without tcl
      
          Running in 120 with tcl
          140 bin  boot  dev  etc  home  lib  lib64  media  mnt  opt  proc  root  run  sbin  srv  sys  tmp  usr  var
          Ran in 120 with tcl
      
      Notice 130 and 120 has the following error without tcl:
      
          140 /usr/bin/unbuffer: 4: exec: tclsh8.6: not found
      
      Also, notice 140 and 150 even is working well installing tcl
      
      We could add this package in the Dockerfile of the images
      
      but I tried to rebuild a 120 image and it started to raises new errors related with
      pip packages
      
      So, it is risky to update the image
      
      Better using this way to install only when it is needed and safe where it is not needed
      23789108
  3. 29 Aug, 2022 2 commits
  4. 22 Aug, 2022 1 commit
  5. 19 Aug, 2022 1 commit
  6. 16 Aug, 2022 2 commits
  7. 15 Aug, 2022 1 commit
  8. 13 Aug, 2022 1 commit
  9. 12 Aug, 2022 1 commit
  10. 11 Aug, 2022 1 commit
  11. 09 Aug, 2022 1 commit
  12. 05 Aug, 2022 4 commits
  13. 03 Aug, 2022 2 commits
  14. 11 Jan, 2022 1 commit
    • Tulio Ruiz's avatar
      [IMP] Add better detection for dev projects. · bcc5b6f7
      Tulio Ruiz authored
      - Just in case someone use the main branch in the -dev group for any reason we detect if it is a dev repo so it don't push to latest, just to dev.
      
      We do so by detecting if the branch name is the same as the version and now we also check if the group name ends with -dev, because we have as general rule to name the groups with 'group-dev' for development and 'group' for the main repo
      bcc5b6f7
  15. 08 Oct, 2021 2 commits
  16. 23 Sep, 2021 2 commits
  17. 30 Aug, 2021 1 commit
  18. 25 Aug, 2021 1 commit
  19. 23 Jun, 2021 2 commits
  20. 11 Jan, 2021 1 commit
  21. 06 Jan, 2021 1 commit
  22. 20 Nov, 2020 2 commits
  23. 07 Apr, 2020 2 commits
  24. 06 Mar, 2020 2 commits
  25. 20 Jan, 2020 1 commit
    • Tulio Ruiz's avatar
      [IMP] Odoo user is now superuser. · c965df74
      Tulio Ruiz authored
      Some modules need to install an extension so this is only allowed if the user is superuser. This won't work for production or testing envs.
      c965df74
  26. 13 Jan, 2020 2 commits